%%-*- mode: erlang -*-

{application, epgsql_pool,
 [
  {description, "Connection pool for PostgreSQL"},
  {vsn, "1.4.4"},
  {registered, []},
  {applications, [kernel, stdlib, crypto, asn1, public_key, ssl, epgsql, pooler]},
  {modules, [epgsql_pool_utils, epgsql_pool_worker, epgsql_pool, epgsql_test]},
  {env, [
         {connection_timeout, 10000},
         {query_timeout, 10000},
         {transaction_timeout, 20000},
         {pooler_get_worker_timeout, 10000},
         {pooler_max_queue, 1000},
         {max_reconnect_timeout, 5000},
         {min_reconnect_timeout, 100},
         {keep_alive_timeout, 60000},
         {connect_listener, undefined}, % process pid or name
         {disconnect_listener, undefined} % process pid or name
        ]}
 ]}.
